Subject: Re: bug#65349: 29.1; "setq-default indent-tabs-mode nil" seem to be ignored
From: Eli Zaretskii <[email-masked]>
To: håkan engblom <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Aug 2023 21:02:15 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: håkan engblom <[email-masked]>
> Date: Thu, 17 Aug 2023 18:38:19 +0200
> 
> It works with -Q and also if I remove this:
> 
> (add-hook 'c-mode-hook
>         (lambda ()
>             (c-set-style "linux")))

The "linux" style indeed sets indent-tabs-mode non-nil, but that
supposed to be limited only to buffers under C mode; in other buffers
you should see it nil.  Isn't that what happens?

> _or_ this:
> 
> (setq-default tab-width 4)
> 
> from my .emacs file.

This last part I cannot reproduce.

> It is a bit strange that it helps to remove tab-width, but linux kernel standard makes sense to remove.
> Linux kernel standard seems to be tabs, not spaces, so that may very well be the culprit. Strange
> though that it has worked for several years before. Maybe there was a correction made in the
> settings for linux-kernel standard, I don't know.
> 
> Thanks for pointing me in the right direction.
> 
> You can cancel tthe bug-report, if there ever was any created.

OK, done.